Author Topic: 5D3: Update to 1.2.x after installing ML possible?  (Read 1320 times)

schlemiel29

  • New to the forum
  • *
  • Posts: 23
5D3: Update to 1.2.x after installing ML possible?
« on: January 09, 2014, 03:34:24 PM »
Hello,
I downgraded my firmware of my 5D3 to 1.1.3 and installed ML. Everything fine. Is it possible to upgrade the firmware again or is ML relying continuously on 1.1.3?
Thanks in advance
Dirk

dmilligan

  • Developer
  • Hero Member
  • *****
  • Posts: 3218
  • 60Da / 1100D / EOSM
Re: 5D3: Update to 1.2.x after installing ML possible?
« Reply #1 on: January 09, 2014, 03:50:10 PM »
No, ML depends on the specific version of Canon firmware listed, it will not work if you change it. That is the whole reason you have to downgrade to install it in the first place, and why the Canon firmware versions for each specific camera are explicitly listed all over the place.

ML works by calling various functions within the Canon firmware, different versions of the Canon firmware may have changed those functions or where they are located, so it is not safe to use a different version of the Canon firmware other than the one ML was developed for. ML does a checksum of the Canon firmware when it boots just to make sure the version is correct and will not execute if it isn't correct.